// From a picture of Galaxy Nasa 724203
// Private share: https://nech.pl/square-worlds
s0.initImage("https://git.plnech.fr/pln/Hydra/raw/7ab247cae7f562ecc0f1c13a6646e5a71f6c0f1f/StarryNights/img/724203.jpg")
src(s0)
  .scrollY(0.253)
  .scrollX(0.2)
  .scale(2)
  .out()

src(o0)
.layer(src(o1).scale([1.00025,0.99975].fast(0.2)),10)
.out(o2)

src(o2)
  .blend(src(o2).scale(0.99))
  .blend(src(o2)
    // .rotate(() => Math.sin(time / (100 * (time / 250))))
, 0.05)
  // .blend(o2)
  .modulateScale(osc(20), 0.00015)
  .out(o1)

src(o1)
  .blend(o0,0.24)
  // .blend(o1,0.3)
  .brightness(0.1).contrast(1.3)
  .scale(() => 1.2 + Math.sin(time/70) * 0.6)
.out(o3)

render(o3)
